Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Interface HTTPFilter

All Known Implementing Classes:
  BlockFilter, DontCacheFilter, DontFilterFilter, HTTPBaseFilter, HTTPSnoop, ProxyAuth, ReverseProxy, SQLProxyAuth

    public interface HTTPFilter

A filter for http headers.

Method Summary
`HTTPHeader` | `doHTTPInFiltering(java.net.Socket socket, HTTPHeader header, Connection con)` test if a socket/header combination is valid or return a new HTTPHeader.
`HTTPHeader` | `doHTTPOutFiltering(java.net.Socket socket, HTTPHeader header, Connection con)` test if a socket/header combination is valid or return a new HTTPHeader.
`void` | `setup(Logger logger, SProperties properties)` Setup this filter.

Method Detail

### doHTTPInFiltering

    HTTPHeader doHTTPInFiltering(java.net.Socket socket,
                                 HTTPHeader header,
                                 Connection con)

  test if a socket/header combination is valid or return a new HTTPHeader.

  Parameters:
    `socket` - the Socket that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    null if everything is fine or a HTTPHeader describing the error (like a 403).

### doHTTPOutFiltering

    HTTPHeader doHTTPOutFiltering(java.net.Socket socket,
                                  HTTPHeader header,
                                  Connection con)

  test if a socket/header combination is valid or return a new HTTPHeader.

  Parameters:
    `socket` - the Socket that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    null if everything is fine or a HTTPHeader describing the error (like a 403).

### setup

    void setup(Logger logger,
               SProperties properties)

  Setup this filter.

  Parameters:
    `logger` - the Logger to output errors/warnings on.
    `properties` - the SProperties to get the settings from.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD